## com.sun.jersey.spi.container
Interface ResourceMethodDispatchAdapter

    public interface ResourceMethodDispatchAdapter

A provider that can adapt a @{link ResourceMethodDispatchProvider}.

Author:
  Paul Sandoz

Method Summary
`ResourceMethodDispatchProvider` | `adapt(ResourceMethodDispatchProvider provider)` Adapt a @{link ResourceMethodDispatchProvider}.

Method Detail

### adapt

    ResourceMethodDispatchProvider adapt(ResourceMethodDispatchProvider provider)

  Adapt a @{link ResourceMethodDispatchProvider}.

  Parameters:
    `provider` - the provider to adapt.
  Returns:
    the adapted provider.

Copyright © 2017 Oracle Corporation. All Rights Reserved.